WinShopAPI docs
ReferencePromotionsProduct group promotions

Get a product-group promotion

Returns one product-group promotion by `id`. Requires `Permissions.Promotions.View`.

GET
/api/promotions/product-group-promotions/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

application/json
  1. response
applyBiggerDiscountWithCustomerCard?boolean
barcode?string
Lengthlength <= 20
daysOfWeek?integer
Formatint32
deletedAt?|
Formatdate-time
description?string
Lengthlength <= 200
discountAmount?number
Formatdecimal
discountGroupId?integer
Formatint32
discountPercent?number
Formatdecimal
discountValidAlways?boolean
hours?integer
Formatint32
id?integer
Formatint32
isDeleted?boolean
isPrioritized?boolean
name?string
Lengthlength <= 80
onlyForPos?boolean
onlyForRegisteredCustomers?boolean
price?number
Formatdecimal
priceWoVat?number
Formatdecimal
quantitySold?number
Formatdecimal
soldAll?boolean
useWarehousePrice?boolean
validFrom?|
Formatdate-time
validTo?|
Formatdate-time
filters?array<>
warehouses?array<>
curl -X GET 'https://<your-instance>/api/promotions/product-group-promotions/0' \  -H 'Authorization: Bearer <access-token>'
{  "applyBiggerDiscountWithCustomerCard": true,  "barcode": "string",  "daysOfWeek": 0,  "deletedAt": "2019-08-24T14:15:22Z",  "description": "string",  "discountAmount": 0,  "discountGroupId": 0,  "discountPercent": 0,  "discountValidAlways": true,  "hours": 0,  "id": 0,  "isDeleted": true,  "isPrioritized": true,  "name": "string",  "onlyForPos": true,  "onlyForRegisteredCustomers": true,  "price": 0,  "priceWoVat": 0,  "quantitySold": 0,  "soldAll": true,  "useWarehousePrice": true,  "validFrom": "2019-08-24T14:15:22Z",  "validTo": "2019-08-24T14:15:22Z",  "filters": [    {      "id": 0,      "productId": 0,      "promotionId": 0    }  ],  "warehouses": [    {      "id": 0,      "promotionId": 0,      "warehouseId": 0    }  ]}